Link canvas template instance
curl --request POST \
--url https://api.example.com/canvas-template-instances/{id}/link \
--header 'Content-Type: application/json' \
--data '
{
"identifier": "<string>",
"qualifier": "<string>"
}
'import requests
url = "https://api.example.com/canvas-template-instances/{id}/link"
payload = {
"identifier": "<string>",
"qualifier": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({identifier: '<string>', qualifier: '<string>'})
};
fetch('https://api.example.com/canvas-template-instances/{id}/link', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"qualifier": "<string>",
"links": [
{
"relationType": "<string>",
"title": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"href": "<string>",
"objectKey": "<string>",
"lang": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"identifier": "<string>"
}Canvas Template Instance
Link canvas template instance
Create a link to a canvas template instance via the link-resolver resolver.
POST
/
canvas-template-instances
/
{id}
/
link
Link canvas template instance
Path Parameters
The unique identifier of the canvas template instance.
Body
application/json
Response
200 - application/json
The link was created successfully.
The qualifier of the Link Set.
The links of the Link Set.
Show child attributes
Show child attributes
The creation date of the Link Set.
The last update date of the Link Set.
The ID of the Link Set.
The identifier of the Link Set.
⌘I